# frozen_string_literal: true

require "helper"

class TestVersion < Minitest::Test
  R = /^([0-9]+)\.([0-9]+)\.([0-9]+)(?:-([0-9A-Za-z-]+
    (?:\.[0-9A-Za-z-]+)*))?(?:\+[0-9A-Za-z-]+)?$/.freeze

  def test_version
    assert_match R, Lane::VERSION
  end
end
